// features
//RJA changing a bit for ECP5 and adding a bit extra

//-----------------------------------------------------------------------------
//RJA adding option to load via real Prop Plug on GN[25:27].  25->RX, 26->TX, 27->RESn
//`define USE_PROPPLUG

//-----------------------------------------------------------------------------
//RJA Adding portB option (think code came from ozpropdev), uncomment this define to enable port B
//`define USE_PORTB

//-----------------------------------------------------------------------------
// Invert Cog LED outputs
//
// Change this parameter from 0 to 1 to invert the cog LEDs, for hardware that
// turns the LEDs on when the outputs are low instead of high.
parameter INVERT_COG_LEDS = 0;

//-----------------------------------------------------------------------------
//RJA:  UnComment the below to add video generator to cogs
`define USE_VIDEO_GENERATOR
//RJA:  UnComment the below to Counters to cogs
`define USE_COUNTERA
`define USE_COUNTERB

//-----------------------------------------------------------------------------
//Specify # of cogs
parameter NUM_COGS=8;

//-----------------------------------------------------------------------------
// RAM Options
//
// KL = kilo-longs, 1 long is 4 bytes
//parameter HUB_RAM_KL=1;  // 8=32kB, 4=16kB, 2=8kB
//Not sure if this works or not...  
//parameter HUB_RAM_INIT0="../P8X32A_Verilator/hub_ram_byte0.hex";
//parameter HUB_RAM_INIT1="../P8X32A_Verilator/hub_ram_byte1.hex";
//parameter HUB_RAM_INIT2="../P8X32A_Verilator/hub_ram_byte2.hex";
//parameter HUB_RAM_INIT3="../P8X32A_Verilator/hub_ram_byte3.hex";
// TODO have main.cpp load these

//-----------------------------------------------------------------------------
// ROM Options
//
//parameter HUB_ROM_KL=8;  // 8=32kB, 4=16kB, 1=1kB
//parameter HUB_ROM_INIT="../HDL/rom_8000_ffff_scrambled.hex";

//parameter HUB_ROM_KL=4;  // 8=32kB, 4=16kB, 1=1kB
//parameter HUB_ROM_INIT="../HDL/rom_c000_ffff_scrambled.hex";

parameter HUB_ROM_KL=1;  //kB in each of 4 banks, 8=32kB, 4=16kB, 2=8kB, 1=4kB
//parameter HUB_ROM_INIT="../HDL/rom_f000_ffff_scrambled.hex";
//unscrambled Boot Loader and Interpreter only
parameter HUB_ROM_INIT0 = "ROM_$F000-$FFFF_BYTE_0.spin";
parameter HUB_ROM_INIT1 = "ROM_$F000-$FFFF_BYTE_1.spin";
parameter HUB_ROM_INIT2 = "ROM_$F000-$FFFF_BYTE_2.spin";
parameter HUB_ROM_INIT3 = "ROM_$F000-$FFFF_BYTE_3.spin";


//RJA These don't appear to actually work for some reason anymore when enabled in cog.v ...
//parameter COG_RAM_INIT="../Spin/rambooter.hex";
//parameter COG_RAM_INIT="../Spin/booter.hex";

